ResponseRedirector (Grails 5.1.1)

Package: grails.artefact.controller.support

## [Groovy] Trait ResponseRedirector

- grails.artefact.controller.support.ResponseRedirector

- All Implemented Interfaces and Traits:
    WebAttributes

      @groovy.transform.Trait
      @groovy.transform.CompileStatic
      trait ResponseRedirector
      extends java.lang.Object
      implements WebAttributes

  A trait for objects that redirect the response

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `LinkGenerator` | `grailsLinkGenerator`
    `boolean` | `useJsessionId`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `chain(java.util.Map args)` Chains from one action to another via an HTTP redirect.
    `` | `java.util.Map` | `getChainModel()` Obtains the chain model which is used to chain request attributes from one request to the next via flash scope
    `` | `LinkGenerator` | `getGrailsLinkGenerator()`
    `` | `boolean` | `isUseJsessionId()`
    `` | `void` | `redirect(java.lang.Object object)` Redirects for the given arguments.
    `` | `void` | `redirect(java.util.Map argMap)` Redirects for the given arguments.
    `` | `void` | `setGrailsLinkGenerator(LinkGenerator linkGenerator)`
    `` | `void` | `setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)`
    `` | `void` | `setRequestDataValueProcessor(org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor)`
    `` | `void` | `setUseJsessionId(boolean useJsessionId)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class java.lang.Object` | `java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()`

- - ### Property Detail

    - #### LinkGenerator grailsLinkGenerator

    - #### boolean useJsessionId

  - ### Method Detail

    - #### @groovy.transform.Generated void chain(java.util.Map args)

      Chains from one action to another via an HTTP redirect. The model is retained in the following request in the 'chainModel' property within flash scope.

      Parameters:
        `args` - The arguments
      Returns:
        Result of the redirect call

    - #### @groovy.transform.Generated java.util.Map getChainModel()

      Obtains the chain model which is used to chain request attributes from one request to the next via flash scope

      Returns:
        The chainModel

    - #### @groovy.transform.Generated LinkGenerator getGrailsLinkGenerator()

    - #### @groovy.transform.Generated boolean isUseJsessionId()

    - #### @groovy.transform.Generated void redirect(java.lang.Object object)

      Redirects for the given arguments.

      Parameters:
        `object` - A domain class
      Returns:
        null

    - #### @groovy.transform.Generated void redirect(java.util.Map argMap)

      Redirects for the given arguments.

      Parameters:
        `argMap` - The arguments
      Returns:
        null

    - #### @groovy.transform.Generated @org.springframework.beans.factory.annotation.Autowired void setGrailsLinkGenerator(LinkGenerator linkGenerator)

    - #### @groovy.transform.Generated @org.springframework.beans.factory.annotation.Autowired(required: false) void setRedirectListeners(java.util.Collection<RedirectEventListener> redirectListeners)

    - #### @groovy.transform.Generated @org.springframework.beans.factory.annotation.Autowired(required: false) void setRequestDataValueProcessor(org.springframework.web.servlet.support.RequestDataValueProcessor requestDataValueProcessor)

    - #### @groovy.transform.Generated void setUseJsessionId(boolean useJsessionId)